%global momorel 4

Summary: A general purpose sound file conversion tool.
Name: sox
Version: 12.17.3
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
Source0: http://telia.dl.sourceforge.net/sox/sox-%{version}.tar.gz
Patch0: sox-12.17.3.build.patch
Patch1: sox-CAN-2004-0557.patch
Url: http://sox.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: libvorbis >= 1.0-2m
NoSource: 0

%description
SoX (Sound eXchange) is a sound file format converter for Linux, UNIX
and DOS PCs. The 'Swiss Army knife of sound tools,' SoX can convert
between many different digitized sound formats and perform simple
sound manipulation functions, including sound effects.

Install the sox package if you'd like to convert sound file formats or
manipulate some sounds.

%package -n  sox-devel
Summary: The SoX sound file format converter libraries.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n sox-devel 
This package contains the library needed for compiling applications
which will use the SoX sound file format converter.

Install sox-devel if you want to develop applications which will use
SoX.

%prep
%setup -q
%patch0 -p1
%patch1 -p0 -b .CAN-2004-0557

%build
%configure --with-oss-dsp
make 

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/bin/
mkdir -p %{buildroot}/usr/lib/
mkdir -p %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_mandir}/man3/

%makeinstall install-lib MANDIR=%{buildroot}%{_mandir}

echo "#!/bin/sh" > %{buildroot}/usr/bin/soxplay
echo "" >> %{buildroot}/usr/bin/soxplay
echo '/usr/bin/sox $1 -t .au - > /dev/audio' >> %{buildroot}/usr/bin/soxplay
chmod 755 %{buildroot}/usr/bin/soxplay

strip %{buildroot}/usr/bin/sox

ln -snf play %{buildroot}/usr/bin/rec
rm -f %{buildroot}%{_mandir}/man1/rec.1
ln -snf play.1 %{buildroot}%{_mandir}/man1/rec.1
rm -f %{buildroot}%{_mandir}/man1/soxmix.1
ln -snf sox.1 %{buildroot}%{_mandir}/man1/soxmix.1

mkdir -p %{buildroot}/usr/include/sox
install -m 644 *.h %{buildroot}/usr/include/sox

mkdir -p %{buildroot}%{_mandir}/man3
install -m 644 libst.3 %{buildroot}%{_mandir}/man3


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changelog README TODO INSTALL
/usr/bin/sox
/usr/bin/play   
/usr/bin/rec  
/usr/bin/soxmix
/usr/bin/soxplay
%{_mandir}/man1/*

%files -n sox-devel
%defattr(-,root,root)
/usr/include/sox
/usr/include/st.h
/usr/include/ststdint.h
/usr/lib/libst.a
%{_mandir}/man3/*


%ChangeLog
* Tue Aug 03 2004 TAKAHASHI Tamotsu <tamo>
- (12.17.3-4m)
- [SECURITY] CAN-2004-0557

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (12.17.3-3m)
- revised spec for rpm 4.2.

* Thu Oct 30 2003 zunda <zunda at freeshell.org>
- (12.17.3-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Sep 13 2002 Kazuhiko <kazuhiko@fdiary.net>
- (12.17.3-1m)
- minor bugfixes
- TEMPORARY remove '--with-alsa-dsp'

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (12.17.2-7m)
- added BuildPreReq: libvorbis >= 1.0-2m

* Fri Jun 21 2002 Kazuhiko <kazuhiko@kondara.org>
- (12.17.2-6k)
- devel package 'Requires: %{name} = %{version}-%{release}'

* Sun Jul  8 2001 Toru Hoshina <toru@df-usa.com>
- (sox-12.17-8k)
- add alphaev5 support.

* Fri Feb  2 2001 HOSONO Hidetomo <h@kondara.org>
- (sox-12.17-6k)
- deleted non-existing files: "TIPS" and "CHEAT*" in the document dir

* Thu Nov 30 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- added sox-alpha.patch

* Wed Nov 29 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 12.17
- fix Source0 URL

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Sat Apr 08 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat6.2 (12.16-7).

* Thu Feb 03 2000 Bill Nottingham <notting@redhat.com>
- fix manpage link the Right Way(tm)

* Thu Feb 03 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix rec manpage link - now that man pages are compressed, it should point to
  play.1.gz, not play.1

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- Grrr. Arrrrgh. Fix link.

* Fri Sep 24 1999 Bill Nottingham <notting@redhat.com>
- add some more files to devel

* Fri Sep 17 1999 Bill Nottingham <notting@redhat.com>
- fix link

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 12.16

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 20 1999 Bill Nottingham <notting@redhat.com>
- allow spaces in filenames for play/rec

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- fix docs

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 12.15

* Sat Oct 10 1998 Michael Maher <mike@redhat.com>
- fixed broken spec file

* Mon Jul 13 1998 Michael Maher <mike@redhat.com>
- updated source from Chris Bagwell.

* Wed Jun 23 1998 Michael Maher <mike@redhat.com>
- made patch to fix the '-e' option. BUG 580
- added buildroot

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 06 1997 Erik Troan <ewt@redhat.com>
- built against glibc
